Events
Event chat room
GET
/events/:eventId/chat-roomGet the event's public chat room, creating it if it does not exist. Available to participants of events with chat enabled.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
Response
| Field | Type | Description |
|---|---|---|
chatRoom | ChatRoom | null | The event's chat room, or null when chat is disabled. |
Request
curl https://api.4s.link/events/EVENT_ID/chat-room \-H "Authorization: Bearer 4s_at_..."
Example response
{"chatRoom": {"id": "r1a2b3c4-...","type": "GROUP","name": "4S Tech Conference 2026","eventId": "e1f2a3b4-..."}}